USE COWS
GO


SET DEADLOCK_PRIORITY 10;


OPEN SYMMETRIC KEY FS@K3y 
DECRYPTION BY CERTIFICATE S3cFS@CustInf0;


IF NOT EXISTS(SELECT 'X' FROM dbo.LK_CSG_LVL WITH (NOLOCK) WHERE CSG_LVL_ID=0)
BEGIN
	INSERT INTO dbo.LK_CSG_LVL (CSG_LVL_ID,
	CSG_LVL_CD,
	REC_STUS_ID,
	CREAT_BY_USER_ID,
	CREAT_DT)
	SELECT 0, '00000', 1,1,1
END


CREATE TABLE [dbo].[LK_SCRD_OBJ_TYPE]
( 
	[SCRD_OBJ_TYPE_ID]      tinyint  		NOT NULL ,
	[SCRD_OBJ_TYPE]         varchar(100)  	NOT NULL ,
	[SCRD_OBJ_TYPE_DES]     varchar(500)  	NOT NULL ,
	[REC_STUS_ID] 			tinyint 		NOT NULL CONSTRAINT [DF_RECSTUSID_LK_SCRD_OBJ_TYPE_1] DEFAULT ((1)),
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT]          smalldatetime  	NOT NULL CONSTRAINT [DF_getdate_LK_SCRD_OBJ_TYPE_1] DEFAULT  getdate(),
	[MODFD_DT]			smalldatetime 	NULL,
	CONSTRAINT [PK_LK_SCRD_OBJ_TYPE] PRIMARY KEY  CLUSTERED ([SCRD_OBJ_TYPE_ID] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [UX01_LK_SCRD_OBJ_TYPE] UNIQUE NONCLUSTERED ([SCRD_OBJ_TYPE] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

go

ALTER TABLE [dbo].[LK_SCRD_OBJ_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK01_LK_SCRD_OBJ_TYPE] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[LK_SCRD_OBJ_TYPE] CHECK CONSTRAINT [FK01_LK_SCRD_OBJ_TYPE]
GO

ALTER TABLE [dbo].[LK_SCRD_OBJ_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK02_LK_SCRD_OBJ_TYPE] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_SCRD_OBJ_TYPE] CHECK CONSTRAINT [FK02_LK_SCRD_OBJ_TYPE]
GO

ALTER TABLE [dbo].[LK_SCRD_OBJ_TYPE]  WITH NOCHECK ADD  CONSTRAINT [FK03_LK_SCRD_OBJ_TYPE] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[LK_SCRD_OBJ_TYPE] CHECK CONSTRAINT [FK03_LK_SCRD_OBJ_TYPE]
GO

CREATE TABLE [dbo].[CUST_SCRD_DATA]
(
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[SCRD_OBJ_ID] [int] NOT NULL,
	[SCRD_OBJ_TYPE_ID] [tinyint] NOT NULL,
	[EVENT_TITLE_TXT] [varbinary](max) NULL,
	[EVENT_DES] [varbinary](max) NULL,
	[CUST_NME] [varbinary](max) NULL,
	[CUST_EMAIL_ADR] [varbinary](max) NULL,
	[CUST_CNTCT_NME] [varbinary](max) NULL,
	[CUST_CNTCT_PHN_NBR] [varbinary](max) NULL,
	[CUST_CNTCT_CELL_PHN_NBR] [varbinary](max) NULL,
	[CUST_CNTCT_PGR_NBR] [varbinary](max) NULL,
	[CUST_CNTCT_PGR_PIN_NBR] [varbinary](max) NULL,
	[SRVC_ASSRN_POC_NME] [varbinary](max) NULL,
	[SRVC_ASSRN_POC_PHN_NBR] [varbinary](max) NULL,
	[SRVC_ASSRN_POC_CELL_PHN_NBR] [varbinary](max) NULL,
	BLDG_NME [varbinary](max) NULL,
	CTY_NME [varbinary](max) NULL,
	FLR_ID [varbinary](max) NULL,
	STT_PRVN_NME [varbinary](max) NULL,
	RM_NBR [varbinary](max) NULL,
	SITE_ADR [varbinary](max) NULL,
	STREET_ADR_1 [varbinary](max) NULL,
	STREET_ADR_2 [varbinary](max) NULL,
	STREET_ADR_3 [varbinary](max) NULL,
	STT_CD [varbinary](max) NULL,
	ZIP_PSTL_CD [varbinary](max) NULL,
	CTRY_RGN_NME [varbinary](max) NULL,
	FRST_NME [varbinary](max) NULL,
	LST_NME [varbinary](max) NULL,
	NTE_TXT [varbinary](max) NULL,	
	[MODFD_DT] [datetime] NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CUST_SCRD_DATA_1]  DEFAULT (getdate()),
 CONSTRAINT [PK_CUST_SCRD_DATA] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

ALTER TABLE [dbo].[CUST_SCRD_DATA]  WITH NOCHECK ADD  CONSTRAINT [FK01_CUST_SCRD_DATA] FOREIGN KEY([SCRD_OBJ_TYPE_ID])
REFERENCES [dbo].[LK_SCRD_OBJ_TYPE] ([SCRD_OBJ_TYPE_ID])
GO

ALTER TABLE [dbo].[CUST_SCRD_DATA] CHECK CONSTRAINT [FK01_CUST_SCRD_DATA]
GO

CREATE UNIQUE INDEX [UX01_CUST_SCRD_DATA] ON [dbo].[CUST_SCRD_DATA]
(
	[SCRD_OBJ_ID], [SCRD_OBJ_TYPE_ID]
)
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

ALTER TABLE dbo.CPT
ADD [CSG_LVL_ID] TINYINT NOT NULL CONSTRAINT [DF_CSG_LVL_ID_CPT] DEFAULT ((0))
GO

ALTER TABLE dbo.[FSA_ORDR_CUST]
DROP CONSTRAINT [PK_FSA_ORDR_CUST]
GO

ALTER TABLE dbo.[FSA_ORDR_CUST]
ADD [FSA_ORDR_CUST_ID] INT IDENTITY(1,1) NOT NULL
GO

ALTER TABLE dbo.[FSA_ORDR_CUST]
ADD CONSTRAINT [PK_FSA_ORDR_CUST] PRIMARY KEY  CLUSTERED ([FSA_ORDR_CUST_ID] ASC)
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

ALTER TABLE [dbo].[FSA_ORDR_CUST] ADD  CONSTRAINT [UX01_FSA_ORDR_CUST] UNIQUE NONCLUSTERED 
(
	[ORDR_ID] ASC, [CIS_LVL_TYPE] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO


--UPDATE ORDR CSG_LVL_CD to CSG_LVL_ID
ALTER TABLE dbo.ORDR
ADD [CSG_LVL_ID] TINYINT NOT NULL CONSTRAINT [DF_CSG_LVL_ID_ORDR] DEFAULT ((0))
GO

UPDATE dbo.ORDR
SET [CSG_LVL_ID] = CONVERT(TINYINT, CSG_LVL_CD)
WHERE CSG_LVL_CD IS NOT NULL

ALTER TABLE dbo.ORDR
DROP CONSTRAINT [FK08_ORDR]

DROP INDEX [IX07_ORDR] ON dbo.ORDR

ALTER TABLE dbo.ORDR
DROP COLUMN [CSG_LVL_CD]

ALTER TABLE [dbo].[ORDR]  WITH NOCHECK ADD  CONSTRAINT [FK08_ORDR] FOREIGN KEY([CSG_LVL_ID])
REFERENCES [dbo].[LK_CSG_LVL] ([CSG_LVL_ID])
GO

ALTER TABLE [dbo].[ORDR] CHECK CONSTRAINT [FK08_ORDR]
GO

ALTER TABLE dbo.ORDR_ADR
DROP COLUMN [STE_TXT]
GO

ALTER TABLE dbo.H5_FOLDR
ADD [CSG_LVL_ID] TINYINT NOT NULL CONSTRAINT [DF_CSG_LVL_ID_H5_FOLDR] DEFAULT ((0))
GO

UPDATE dbo.H5_FOLDR
SET [CSG_LVL_ID] = CONVERT(TINYINT, CSG_LVL_CD)
WHERE CSG_LVL_CD IS NOT NULL

ALTER TABLE dbo.H5_FOLDR
DROP COLUMN [CSG_LVL_CD]

ALTER TABLE [dbo].[H5_FOLDR]  WITH NOCHECK ADD  CONSTRAINT [FK06_H5_FOLDR] FOREIGN KEY([CSG_LVL_ID])
REFERENCES [dbo].[LK_CSG_LVL] ([CSG_LVL_ID])
GO

ALTER TABLE [dbo].[H5_FOLDR] CHECK CONSTRAINT [FK06_H5_FOLDR]
GO

ALTER TABLE dbo.ODIE_REQ
ADD [CSG_LVL_ID] TINYINT NOT NULL CONSTRAINT [DF_CSG_LVL_ID_ODIE_REQ] DEFAULT ((0))
GO

ALTER TABLE [dbo].[ODIE_REQ]  WITH NOCHECK ADD  CONSTRAINT [FK07_ODIE_REQ] FOREIGN KEY([CSG_LVL_ID])
REFERENCES [dbo].[LK_CSG_LVL] ([CSG_LVL_ID])
GO

ALTER TABLE [dbo].[ODIE_REQ] CHECK CONSTRAINT [FK07_ODIE_REQ]
GO

ALTER TABLE dbo.REDSGN_CUST_BYPASS
ADD [CSG_LVL_ID] TINYINT NOT NULL CONSTRAINT [DF_CSG_LVL_ID_REDSGN_CUST_BYPASS] DEFAULT ((0))
GO

ALTER TABLE [dbo].[REDSGN_CUST_BYPASS]  WITH NOCHECK ADD  CONSTRAINT [FK01_REDSGN_CUST_BYPASS] FOREIGN KEY([CSG_LVL_ID])
REFERENCES [dbo].[LK_CSG_LVL] ([CSG_LVL_ID])
GO

ALTER TABLE [dbo].[REDSGN_CUST_BYPASS] CHECK CONSTRAINT [FK01_REDSGN_CUST_BYPASS]
GO

ALTER TABLE dbo.[EVENT]
ADD [CSG_LVL_ID] TINYINT NOT NULL CONSTRAINT [DF_CSG_LVL_ID_EVENT] DEFAULT ((0))
GO

ALTER TABLE dbo.[REDSGN]
ALTER COLUMN [CUST_NME] VARBINARY(MAX) NULL
GO


ALTER TABLE dbo.[REDSGN]
ADD CONSTRAINT [DF_CSG_LVL_ID_REDSGN] DEFAULT ((0)) FOR [CSG_LVL_ID]
GO

UPDATE dbo.[REDSGN] SET CSG_LVL_ID=0 WHERE CSG_LVL_ID IS NULL

ALTER TABLE dbo.[REDSGN]
ALTER COLUMN [CSG_LVL_ID] TINYINT NOT NULL
GO


--Increase Length of VNDR_VPN_CD and INSTL_VNDR_CD to VARCHAR(100
ALTER TABLE dbo.FSA_ORDR
ALTER COLUMN [VNDR_VPN_CD] VARCHAR(100) NULL
GO

ALTER TABLE dbo.FSA_ORDR
ALTER COLUMN [INSTL_VNDR_CD] VARCHAR(100) NULL
GO

ALTER TABLE dbo.FSA_ORDR
ALTER COLUMN [CKT_ID] VARCHAR(50) NULL
GO


--Make the MNS_SRVC_TIER_ID nullable on EVENT_DEV_SRVC_MGMT
ALTER TABLE dbo.EVENT_DEV_SRVC_MGMT
ALTER COLUMN [MNS_SRVC_TIER_ID] tinyint NULL
GO

--Make CUST_ACCT_TEAM_PDL_NME NULLable in MDS_EVENT and UCaaS_EVENT
ALTER TABLE dbo.MDS_EVENT
ALTER COLUMN [CUST_ACCT_TEAM_PDL_NME] VARCHAR(200) NULL
GO

ALTER TABLE dbo.UCaaS_EVENT
ALTER COLUMN [CUST_ACCT_TEAM_PDL_NME] VARCHAR(200) NULL
GO

ALTER TABLE dbo.FSA_ORDR_CPE_LINE_ITEM
ADD [INSTL_DSGN_DOC_NBR] VARCHAR(100) NULL,
[TTRPT_ACCS_ARNGT_CD] VARCHAR(30) NULL,
[TTRPT_ENCAP_CD] VARCHAR(25) NULL,
[TTRPT_FBR_HAND_OFF_CD] VARCHAR(50) NULL,
[CXR_ACCS_CD] VARCHAR(5) NULL,
[CKT_ID] VARCHAR(50) NULL,
[TTRPT_QOT_XPIRN_DT] Date NULL,
[TTRPT_ACCS_TERM_DES] VARCHAR(30) NULL,
[TTRPT_ACCS_BDWD_TYPE] VARCHAR(30) NULL,
[PL_NBR] VARCHAR(200) NULL,
[PORT_RT_TYPE_CD] VARCHAR(6) NULL,
[TPORT_IP_VER_TYPE_CD] VARCHAR(10) NULL,
[TPORT_IPV4_ADR_PRVDR_CD] VARCHAR(8) NULL,
[TPORT_IPV4_ADR_QTY] VARCHAR(10) NULL,
[TPORT_IPV6_ADR_PRVDR_CD] VARCHAR(8) NULL,
[TPORT_IPV6_ADR_QTY] VARCHAR(10) NULL,
[TPORT_VLAN_QTY] SMALLINT NULL,
[TPORT_ETHRNT_NRFC_INDCR] VARCHAR(50) NULL,
[TPORT_CNCTR_TYPE_ID] VARCHAR(20) NULL,
[TPORT_CUST_ROUTR_TAG_TXT] VARCHAR(20) NULL,
[TPORT_CUST_ROUTR_AUTO_NEGOT_CD] VARCHAR(5) NULL,
[SPA_ACCS_INDCR_DES] VARCHAR(20) NULL,
[TPORT_DIA_NOC_TO_NOC_TXT] VARCHAR(50) NULL,
[TPORT_PROJ_DES] VARCHAR(50) NULL,
[TPORT_VNDR_QUOTE_ID] VARCHAR(100) NULL,
[TPORT_ETH_ACCS_TYPE_CD] VARCHAR(3) NULL
GO
